package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.JoinFeign;
import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2022/2/24 18:09
 */

@RestController
@RequestMapping("${api.version}/join")
public class JoinController {

    @Autowired
    JoinFeign joinFeign;

    @PostMapping("/receiveTmsTruckWeightResult")
    public Map<String, Object> receiveTmsTruckWeightResult(@RequestBody(required = false) List<Map<String, Object>> mapList) {
        return joinFeign.receiveTmsTruckWeightResult(mapList);
    }
}
