package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2022/2/24 18:07
 */

@FeignClient(value = "dal-dazhou-join-api",url = "${openfeign.JoinFeign.url}")
public interface JoinFeign {

    @PostMapping("api/v1/join/tmstruckweightresult/receiveTmsTruckWeightResult")
    Map<String, Object> receiveTmsTruckWeightResult(@RequestBody List<Map<String, Object>> mapList);

    @PostMapping("api/v1/join/wmsoutboundresult/sendWarranty")
    String sendWarranty(@RequestBody Map<String, Object> map);

}
